$ErrorActionPreference = 'Stop';

$packageName  = 'sgt-puzzles'
$toolsDir     = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'puzzles-20210914.42cbd76-installer.msi'

$packageArgs = @{
  packageName   = $packageName
  file          = $fileLocation
  fileType      = 'msi'
  silentArgs    = "/qn /norestart /l*v     `"$env:TEMP\$env:ChocolateyPackageName.$env:ChocolateyPackageVersion.log`""

  validExitCodes= @(0)

  softwareName  = 'sgt-puzzles*'
  checksum      = '076147C8B3F82B79ACBD3574AC6B744C0B2679ADC89B8F262A9A5D86172A2AA40B4BEC05388FE12E8996955C11BFF6A109FC125D55B0F6E877EF1B2CB451A9E2'
  checksumType  = 'sha512'
}

Install-ChocolateyInstallPackage @packageArgs
